
TYPO3.Fluid - Feature # 26665

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2011-05-06 Assigned To:
Updated: 2013-05-15 Due date:
Has patch: No
Subject: Fluid: Implement String comparison
Description

Subtasks:
Task # 6757: support literal strings in boolean arguments Resolved
Related issues:
related to TYPO3.Fluid - Feature # 33394: Logical expression parser for Boole... Needs Feedback2012-01-23
duplicated by TYPO3.Fluid - Bug # 29004: if viewhelper does not evaluate cond... Closed 2011-08-16
duplicated by TYPO3.Fluid - Feature # 26692: String comparison support for f:if Rejected 2011-05-07

History
#1 - 2011-05-06 11:17 - Sebastian Kurfuerst
- Subject changed from Fluid: Improve ViewHelpers to Fluid: Implement String comparison
- Position deleted (1)
- Position set to 1

#2 - 2011-05-07 08:16 - Bastian Waidelich

Some behaviors that I would expect from this feature:
given:

$this->view->assign('someString', 'foo');

satisfied conditions (true)
1<f:if condition="{someString} == foo">
2<f:if condition="foo == {someString}">
3<f:if condition="{someString}  ==  foo">
4<f:if condition="{someString} != bar"> (other comparators should behave like their PHP dependant)
5{f:if (condition: '{someString} == foo')}

unsatisfied conditions (false)
1<f:if condition="{someString} == bar">
2<f:if condition="bar == {someString}">
3<f:if condition="someString == foo"> (or should this throw an exception?)

parser exception
1<f:if condition="{someString} == foo bar"> (not sure, whether strings containing spaces should be supported)
2<f:if condition="{someString} == foo != bar"> (more than one comparator)
3{f:if (condition: someString == foo)} (not sure, if it is easily possible to detect this case)
#3 - 2011-05-24 11:59 - Bastian Waidelich

Note: I added an entry to the Extbase FAQ: http://forge.typo3.org/projects/typo3v4-mvc/wiki/FAQ#Can-I-compare-strings-with-the-if-view-helper

#4 - 2011-08-04 08:21 - Sebastian Kurfuerst
- Tracker changed from Story to Feature
- Target version changed from 1.0 beta 1 to 1.0 beta 2

#5 - 2011-08-04 08:21 - Sebastian Kurfuerst
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Fluid
- Priority changed from Must have to Should have

#6 - 2011-09-09 15:20 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#7 - 2011-09-30 12:20 - Robert Lemke
- Target version changed from 1.0.0 to 1.1
- Has patch set to No

#8 - 2012-05-21 16:18 - Karsten Dambekalns
- Target version deleted (1.1)

#9 - 2013-03-30 19:10 - Alexander Berl

Is there anything left to do or can this issue get closed?

#10 - 2013-03-30 19:17 - Stefan Neufeind

Was fixed with 6757. Imho done.

#11 - 2013-05-15 16:41 - Adrian Föder
- Status changed from New to Resolved

Definitely resolved.
